
Cook: perl-json 2.97001
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): perl-core-5.28.0
Installing (pkg/local): perl-5.28.0
Extracting source archive "JSON-2.97001.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

Welcome to JSON (v.2.97001)
=============================

 ** BACKWARD INCOMPATIBILITY **

Since version 2.90, stringification (and string comparison) for
JSON::true and JSON::false has not been overloaded. It shouldn't
matter as long as you treat them as boolean values, but a code that
expects they are stringified as "true" or "false" doesn't work as
you have expected any more.

    if (JSON::true eq 'true') {  # now fails

    print "The result is 1 now."; # => The result is 1 now.

And now these boolean values don't inherit JSON::Boolean, either.
When you need to test a value is a JSON boolean value or not, use
JSON::is_bool function, instead of testing the value inherits
a particular boolean class or not.

Checking if your kit is complete...
Looks good
Generating a Unix-style Makefile
Writing Makefile for JSON
Writing MYMETA.yml and MYMETA.json
cp lib/JSON/backportPP/Compat5005.pm blib/lib/JSON/backportPP/Compat5005.pm
cp lib/JSON/backportPP/Compat5006.pm blib/lib/JSON/backportPP/Compat5006.pm
cp lib/JSON.pm blib/lib/JSON.pm
cp lib/JSON/backportPP.pm blib/lib/JSON/backportPP.pm
cp lib/JSON/backportPP/Boolean.pm blib/lib/JSON/backportPP/Boolean.pm
Manifying 5 pod documents
Manifying 5 pod documents
Appending installation info to /home/slitaz/wok/perl-json/install/usr/lib/perl5/5.28.0/i486-linux-thread-multi/perllocal.pod
Installing /home/slitaz/wok/perl-json/install/usr/lib/perl5/site_perl/5.28.0/JSON.pm
Installing /home/slitaz/wok/perl-json/install/usr/lib/perl5/site_perl/5.28.0/JSON/backportPP.pm
Installing /home/slitaz/wok/perl-json/install/usr/lib/perl5/site_perl/5.28.0/JSON/backportPP/Boolean.pm
Installing /home/slitaz/wok/perl-json/install/usr/lib/perl5/site_perl/5.28.0/JSON/backportPP/Compat5005.pm
Installing /home/slitaz/wok/perl-json/install/usr/lib/perl5/site_perl/5.28.0/JSON/backportPP/Compat5006.pm
Installing /home/slitaz/wok/perl-json/install/usr/share/man/man3/JSON::backportPP::Compat5005.3
Installing /home/slitaz/wok/perl-json/install/usr/share/man/man3/JSON::backportPP::Boolean.3
Installing /home/slitaz/wok/perl-json/install/usr/share/man/man3/JSON::backportPP::Compat5006.3
Installing /home/slitaz/wok/perl-json/install/usr/share/man/man3/JSON.3
Installing /home/slitaz/wok/perl-json/install/usr/share/man/man3/JSON::backportPP.3
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.62s. Size: 120106 B -> 36811 B. Save: 81 KB. Cache hit: 5/5.
================================================================================


Build dependencies to remove: 3
Removing: advancecomp-static perl perl-core


Pack: perl-json 2.97001
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.41s. Size: 153165 B -> 61501 B. Save: 90 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
The release checksum has not changed.
================================================================================
Package "perl-json-2.97001.tazpkg" created


Summary for: perl-json 2.97001
================================================================================
Src file    : JSON-2.97001.tar.gz
Src size    : 84.0K
Source dir  : 896.0K
Produced    : 276.0K
Cook time   : 15s
Cook date   : 2018-07-12 18:55
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  116.0K :      14.6K :     5 : perl-json-2.97001.tazpkg
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Failed
Checking libtool in source/perl-json-2.97001...                        Done
Checking site script in source/perl-json-2.97001...                    Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

